Subject: Re: [PATCH] sb1250-mac.c: De-typedef, de-volatile, de-etc...

From: Jeff Garzik <[email-masked]>
Date: Thu, 20 Sep 2007 00:10:54 -0400

Maciej W. Rozycki wrote:
>  Remove typedefs, volatiles and convert kmalloc()/memset() pairs to
> kcalloc().  Also reformat the surrounding clutter.
> 
> Signed-off-by: Maciej W. Rozycki <[email-masked]>
> ---
> On Thu, 13 Sep 2007, Jeff Garzik wrote:
> 
>> Net driver patches should apply on top of netdev-2.6.git#upstream, which is
>> where changes to net drivers are queued for the next release.
> 
>  I can see Andrew has done some changes to the patch and applied it 
> anyway, but here's a version I generated against your tree.  Please feel 
> free to choose either.
> 
>  You may be pleased (or less so) to hear that the version of sb1250-mac.c 
> in your tree does not even build (because of 
> 42d53d6be113f974d8152979c88e1061b953bd12) and the patch below does not 
> address it.  I ran out of time in the evening, but I will send you a fix 
> shortly.  To be honest I think even with bulk changes it may be worth 
> checking whether they do not break stuff. ;-)

hrm.  I cannot get this to apply on top of linux-2.6.git, 
netdev-2.6.git#upstream (prior to net-2.6.24 rebase) or 
netdev-2.6.git#upstream (after net-2.6.24 rebase)

ACK the changes